Bug 1624486 - RFE: Port novajoin to support versioned notifications
Summary: RFE: Port novajoin to support versioned notifications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novajoin
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Grzegorz Grasza
QA Contact: Pavan
URL:
Whiteboard:
Depends On: 1730058 1730068 1730072 1730076 1732866 1743485
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 19:15 UTC by Harry Rybacki
Modified: 2019-09-26 10:46 UTC (History)
6 users (show)

Fixed In Version: python-novajoin-1.1.2-0.20190529150411.2c8c868.el8ost
Doc Type: Technology Preview
Doc Text:
As a technology preview in Red Hat OpenStack Platform 15, the novajoin service tech uses the new, versioned format of notifications sent by the Compute service (nova). To enable the new format, set the value of the new configuration setting, configuration_format, to "versioned." The default value for configuration_format is "unversioned". In a future version of RHOSP, unversioned notifications will be deprecated.
Clone Of:
Environment:
Last Closed: 2019-09-21 11:18:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 619764 0 None MERGED Support versioned notifications 2020-10-07 18:55:03 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:12 UTC

Description Harry Rybacki 2018-08-31 19:15:35 UTC
Description of problem:

Nova will be using versioned notifications only moving forward. We need to ensure novajoin is ready for the transition.

Comment 11 Grzegorz Grasza 2019-09-17 15:06:27 UTC
Greg, I fixed the doc text - the service that implemented the new format is novajoin (this bug), not nova, which started implementing the new format a couple of releases back.

For reference - nova team is looking into dropping the unversioned notifications:
http://lists.openstack.org/pipermail/openstack-dev/2018-August/133071.html

Comment 13 errata-xmlrpc 2019-09-21 11:18:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.